Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io
Class TextDirectoryReader

    java.lang.Object
      infomat.io.TextDirectoryReader

    public class TextDirectoryReader

extends java.lang.Object

For reading a set of texts from a directory (and its subdirectories).

Field Summary
`static AllFileFilter` | `aff`
`private static int` | `idCounter`
`private IMatrix` | `matrix`
`private java.util.HashMap<java.lang.String,IObject>` | `stringWordObjectMap`
`static TextFileFilter` | `tff`
`private TextWordIMatrixConstructor` | `twmc`

Constructor Summary
`TextDirectoryReader()`
`TextDirectoryReader(TextWordIMatrixConstructor twmc)`

Method Summary
`private void` | `doOneFile(java.io.File file)`
`IMatrix` | `load(java.io.File file)` Loads a IMatrix from a directory.
`private void` | `recurseFile(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private IMatrix matrix

### twmc

    private TextWordIMatrixConstructor twmc

### idCounter

    private static int idCounter

### tff

    public static TextFileFilter tff

### aff

    public static AllFileFilter aff

### stringWordObjectMap

    private java.util.HashMap<java.lang.String,IObject> stringWordObjectMap

Constructor Detail

### TextDirectoryReader

    public TextDirectoryReader()

### TextDirectoryReader

    public TextDirectoryReader(TextWordIMatrixConstructor twmc)

Method Detail

### load

    public IMatrix load(java.io.File file)

  Loads a IMatrix from a directory.

### recurseFile

    private void recurseFile(java.io.File file)

### doOneFile

    private void doOneFile(java.io.File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD